From ed65fe82a8395e086ee0ceeea6243da10c26ac2b Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Mon, 26 Mar 2018 16:01:34 -0300
Subject: [PATCH v5 2/3] don't clone internal triggers

---
 src/backend/commands/tablecmds.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index c8da82217d..c0f987cc81 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -14336,6 +14336,10 @@ CloneRowTriggersToPartition(Relation parent, Relation partition)
 		if (!TRIGGER_FOR_ROW(trigForm->tgtype))
 			continue;
 
+		/* We don't clone internal triggers, either */
+		if (trigForm->tgisinternal)
+			continue;
+
 		/*
 		 * Complain if we find an unexpected trigger type.
 		 */
-- 
2.11.0

